[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Graph' (#rtl)

# DetectGraph

Detect correct graphical driver to use

## Declaration

Source position: graphh.inc line 766

`procedure DetectGraph(`
`var GraphDriver: SmallInt;`
`var GraphMode: SmallInt`
`);`

## Description

DetectGraph checks the hardware in the PC and determines the driver and screen-modus to be used. These are returned in Driver and Modus, and can be fed to InitGraph. See the InitGraph for a list of drivers and modi.

## Errors

None.

## See also

InitGraph |  | Initialize graphical system